Summary: An X Window System strategy game based on the Atax video game.
Name: xattax
Version: 1.0
Release: 9
Source: ftp://sunsite.unc.edu/pub/linux/games/strategy/xattax.tar.gz
Source1: xattaxx.desktop 
Copyright: distributable 
Group: Amusements/Games
Patch: xataxx.imake.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Xattax is a game of position and movement. The object is to have more
pieces on the board than your opponent at the end of the game.  Xattax
can be played against another person or against your computer.

%prep
%setup -q -n xataxx
%patch -p1 -b .mike 

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xataxx
make install TARGET=$RPM_BUILD_ROOT BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin/
make install.man $RPM_BUILD_ROOT/ DESTDIR=$RPM_BUILD_ROOT
make install.lib $RPM_BUILD_ROOT/ DATADIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xataxx

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games/ 
install -m 644  $RPM_SOURCE_DIR/xattaxx.desktop  $RPM_BUILD_ROOT/etc/X11/applnk/Games/ 

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO
/usr/X11R6/bin/xataxx
/usr/X11R6/man/man1/*
/usr/X11R6/lib/X11/xataxx/*
/etc/X11/applnk/Games/xattaxx.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Tue Jul 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- don't specify owner during install

* Sun May 28 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0
- cleanup specfile
- gzip man page

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 08 1999 Michael Maher <mike@redhat.com>
- built for 6.0
- changed wmconfig

* Mon Oct 12 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2

* Thu May 21 1998 Michael Maher <mike@redhat.com>
- built package


